[SM-Grimoire-Bugs] [Bug 10444] New: Wrong license information for gnustep libs

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Mon Jan 23 05:48:18 EST 2006


http://bugs.sourcemage.org/show_bug.cgi?id=10444

           Summary: Wrong license information for gnustep libs
           Product: Codex
           Version: test grimoire
          Platform: Other
        OS/Version: other
            Status: NEW
          Severity: normal
          Priority: P2
         Component: gnustep-libs
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: ruskie at email.si


From: http://www.gnustep.org/information/aboutGNUstep.html

License

The GNUstep libraries are covered under the GNU Lesser (Library) Public License.
This generally means you can use these libraries in any program (even non-free
programs) without affecting the license of your program or any other libraries
GNUstep is linked with. If you distribute the GNUstep libraries along with your
program, you must make the improvements you have made to the GNUstep libraries
freely available. The stand-alone tools in GNUstep are under the standard GPL.

With GNUstep-Base, we recommend the use of the ffcall libraries, which provides
stack frame handling for NSInvocation and NSConnection. "Ffcall is under GNU
GPL. As a special exception, if used in GNUstep or in derivate works of GNUstep,
the included parts of ffcall are under GNU LGPL" (Text in quotes provided by the
author of ffcall).

All libs are so they claim licensed under the LGPL while the standalone apps are
licensed under GPL

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.



More information about the SM-Grimoire-Bugs mailing list